Bug 1122820 - [RFE] Support separate build network interface
Summary: [RFE] Support separate build network interface
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
medium
low vote
Target Milestone: Unspecified
Assignee: Katello Bug Bin
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: 1122832
TreeView+ depends on / blocked
 
Reported: 2014-07-24 07:26 UTC by Dominic Cleal
Modified: 2019-08-12 16:04 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-03 15:21:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 3554 None None None 2016-04-26 16:54:55 UTC

Description Dominic Cleal 2014-07-24 07:26:40 UTC
Description of problem:
Provisioning using a build interface is difficult today, as the primary interface registered for a host is the only one that is configured for PXE boot.

If the build interface is registered on the new host as the primary, then the IP and MAC addresses get out of date if/when the build interface is removed.  It also means the hostname and IP address are incorrect, as the host would need to be registered with the build hostname, which may cause further identity issues (e.g. with Puppet).

Version-Release number of selected component (if applicable):
6.0.3

How reproducible:
Always

Steps to Reproduce:
1. Create a new dual-homed host with its usual primary hostname
2. Add an additional network build interface
3. PXE boot from the additional interface

Actual results:
No PXE boot menu available (will default to local boot).

Expected results:
PXE boots and identifies as the primary hostname consistently.

Comment 3 Peter Vreman 2015-07-31 08:23:03 UTC
Is this not delivered in 6.1.0 with the provisioning NIC?

Comment 5 Bryan Kearney 2016-05-03 15:21:17 UTC
Upstream was not able to recreate this after 1.8. We therefore believe this bug is included in Satellite 6.2. I am closing this as NEXTRELEASE. Please verify this in 6.2, and re-open this if this release does not meet the needs.


Note You need to log in before you can comment on or make changes to this bug.